# Store Item

{% hint style="info" %}
Store Item API supports full text store item search in particular retailer or user country.

This section is incomplete and currently a work in progress.
{% endhint %}

### Use-case request examples

#### Search a store item by name across retailers presented in the country defined in user preferences

No need to specify a retailer name in the request.

Avoidances, diets, preferred and disliked ingredients will be taken into account as soft filters.

The complete request model can be found in [swagger](https://api.whisk.com/spec/#/StoreItemAPI/StoreItemAPI_SearchStoreItems).

```
curl -X POST "https://api.whisk.com/storeitem/v2/search" -H  "accept: application/json" -H  "Authorization: Bearer %USER_TOKEN%" -H  "Content-Type: application/json" -d '{
  "query": "Banana",
  "cursor": {
    "limit": 10
  }
}'
```

#### Discontinued availability

Whisk can distinguish between `discontinued` and `outOfStock` products if a grocer provides the relevant information. Currently it's supported for Korean retailers. If a product is marked as out of stock in a product feed, Whisk will consider it may return in the future. Whisk will not return out of stock products for search requests.

```
{
...
  "is_available": false,
  "discontinued": false,
...
}
```

If product a product is completely missing in a feed, it's considered to be discontinued e.g.

```
{
...
  "is_available": false,
  "discontinued": true,
...
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whisk.com/api/store-item.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
